[med-svn] [Git][med-team/hyphy][master] Add unit test description file

Saira Hussain gitlab at salsa.debian.org
Fri Jul 5 14:19:40 BST 2019



Saira Hussain pushed to branch master at Debian Med / hyphy


Commits:
373e6f25 by Saira Hussain at 2019-07-05T13:19:21Z
Add unit test description file

- - - - -


1 changed file:

- + debian/tests/run-unit-tests


Changes:

=====================================
debian/tests/run-unit-tests
=====================================
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -e
+
+pkg=hyphy
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/SimpleAnalyses/* "${AUTOPKGTEST_TMP}"
+cd "${AUTOPKGTEST_TMP}"
+
+gunzip -r *
+
+# Remove after debugging
+set -x
+
+for i in *.bf; do
+    [ -f "$i" ] || break
+    HYPHYMPI "$i"
+done



View it on GitLab: https://salsa.debian.org/med-team/hyphy/commit/373e6f259903bedc674373c1bc0d7f3a4f524a56

-- 
View it on GitLab: https://salsa.debian.org/med-team/hyphy/commit/373e6f259903bedc674373c1bc0d7f3a4f524a56
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190705/c3cb1197/attachment.html>


More information about the debian-med-commit mailing list